﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApp25
{
    internal class RoundedBordersDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            var cell = drawParams.Element.GetContext(typeof(UltraGridCell)) as UltraGridCell;
            if (null != cell)
            {
                switch (cell.Column.Key)
                {
                    case "Int32 1":
                    case "Int32 2":
                        var cellValue = (int)cell.Value;
                        if (cellValue > 2)
                            return false;

                        break;
                }
            }

            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is CellUIElementBase)
                return DrawPhase.BeforeDrawBorders;

            return DrawPhase.None;
        }
    }
}
